Bug 381825 - Akregator crash
Summary: Akregator crash
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: Neon Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 381882 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-06-30 12:59 UTC by avlas
Modified: 2017-09-10 19:00 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (36.26 KB, text/plain)
2017-07-06 19:29 UTC, Luca Giambonini
Details
crash trace (19.95 KB, text/plain)
2017-07-12 11:17 UTC, Philippe ROUBACH
Details

Note You need to log in before you can comment on or make changes to this bug.
Description avlas 2017-06-30 12:59:04 UTC
Application: akregator (5.5.2)

Qt Version: 5.9.0
Frameworks Version: 5.35.0
Operating System: Linux 4.10.0-26-generic x86_64
Distribution: KDE neon User Edition 5.10

-- Information about the crash:
- What I was doing when the application crashed:

Akregator is behaving weirdly recently in my up-to-date KDE neon User Edition. Shortcuts sometimes work sometimes does not. Feeds appear as unread even though they are marked as read manually, etc. This was all with embedded Akregator in Kontact.

I decided to give Akregator a try as standalone application. Akregator launches right but as soon as I click on anything it crashes. This happens everytime.

The crash can be reproduced every time.

-- Backtrace:
Application: Akregator (akregator), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f94a154c980 (LWP 18613))]

Thread 21 (Thread 0x7f9429c5d700 (LWP 18645)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b1e63784 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007f94b1e637c9 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007f94be9736ba in start_thread (arg=0x7f9429c5d700) at pthread_create.c:333
#4  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7f9449ffb700 (LWP 18639)):
#0  0x00007f94bc9f53e0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f94bc9f78bb in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f94bc9f82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f94bc9f849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f94c4473adb in QEventDispatcherGlib::processEvents (this=0x7f94380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f94c441d30a in QEventLoop::exec (this=this@entry=0x7f9449ffac40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f94c424caf4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f94c4251509 in QThreadPrivate::start (arg=0x26af3d0) at thread/qthread_unix.cpp:368
#8  0x00007f94be9736ba in start_thread (arg=0x7f9449ffb700) at pthread_create.c:333
#9  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7f944a7fc700 (LWP 18638)):
#0  0x00007f94ac2a748e in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#1  0x00007f94ac2a7560 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f94ac2b57a9 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f94a630b078 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-8.0.so
#4  0x00007f94be9736ba in start_thread (arg=0x7f944a7fc700) at pthread_create.c:333
#5  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f944affd700 (LWP 18637)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f94b45e57b2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc24 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b45890b8 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b45b99a6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94be9736ba in start_thread (arg=0x7f944affd700) at pthread_create.c:333
#9  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f944b7fe700 (LWP 18636)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f94c3b6eb34 in ___fprintf_chk (fp=0x7f94c3e1e770 <_IO_stdfile_2_lock>, flag=1, format=0x7f94a9f5a734 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f94a9f4245e in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#3  0x00007f94a9f42654 in event_warn () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#4  0x00007f94a9f46c38 in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#5  0x00007f94a9f30e2d in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#6  0x00007f94b4589699 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b45b99a6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f94be9736ba in start_thread (arg=0x7f944b7fe700) at pthread_create.c:333
#12 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f944bfff700 (LWP 18635)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b45b99a6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94be9736ba in start_thread (arg=0x7f944bfff700) at pthread_create.c:333
#9  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f9468ff9700 (LWP 18634)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b4e6084d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45b94e0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94be9736ba in start_thread (arg=0x7f9468ff9700) at pthread_create.c:333
#5  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f9469ffb700 (LWP 18633)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45b7f7f in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45b8717 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b45b94e0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94be9736ba in start_thread (arg=0x7f9469ffb700) at pthread_create.c:333
#6  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f94697fa700 (LWP 18632)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b45b99a6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94be9736ba in start_thread (arg=0x7f94697fa700) at pthread_create.c:333
#9  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f946a7fc700 (LWP 18631)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f94c3b6eb34 in ___fprintf_chk (fp=0x7f94c3e1e770 <_IO_stdfile_2_lock>, flag=1, format=0x7f94a9f5a734 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f94a9f4245e in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#3  0x00007f94a9f42654 in event_warn () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#4  0x00007f94a9f46c38 in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#5  0x00007f94a9f30e2d in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#6  0x00007f94b458960e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b3ecd988 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94b3ecdb6b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f94b45b9a70 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f94be9736ba in start_thread (arg=0x7f946a7fc700) at pthread_create.c:333
#14 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f946affd700 (LWP 18630)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b3ecd8d8 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b3ecdbcb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45b9a70 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94be9736ba in start_thread (arg=0x7f946affd700) at pthread_create.c:333
#11 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f946b7fe700 (LWP 18629)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b3ecd828 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b3ecdbbb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45b9a70 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94be9736ba in start_thread (arg=0x7f946b7fe700) at pthread_create.c:333
#11 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f946bfff700 (LWP 18628)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b3ecd778 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b3ecdbab in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45b9a70 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94be9736ba in start_thread (arg=0x7f946bfff700) at pthread_create.c:333
#11 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f948cff9700 (LWP 18627)):
#0  0x00007f94c3b4f2ad in write () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f94c3ad0bff in _IO_new_file_write (f=0x7f94c3e1d540 <_IO_2_1_stderr_>, data=0x7f948cff5910, n=57) at fileops.c:1263
#2  0x00007f94c3ad138a in new_do_write (to_do=57, data=0x7f948cff5910 "[warn] epoll_wait: El descriptor de fitxer no \303\251s v\303\240lid\n", fp=0x7f94c3e1d540 <_IO_2_1_stderr_>) at fileops.c:518
#3  _IO_new_file_xsputn (f=0x7f94c3e1d540 <_IO_2_1_stderr_>, data=<optimized out>, n=57) at fileops.c:1342
#4  0x00007f94c3aa7f94 in buffered_vfprintf (s=0x7f94c3e1d540 <_IO_2_1_stderr_>, format=<optimized out>, args=<optimized out>) at vfprintf.c:2341
#5  0x00007f94c3aa532d in _IO_vfprintf_internal (s=s@entry=0x7f94c3e1d540 <_IO_2_1_stderr_>, format=0x7f94a9f5a734 "[%s] %s\n", ap=ap@entry=0x7f948cff7ec8) at vfprintf.c:1293
#6  0x00007f94c3b6eb89 in ___fprintf_chk (fp=0x7f94c3e1d540 <_IO_2_1_stderr_>, flag=1, format=<optimized out>) at fprintf_chk.c:35
#7  0x00007f94a9f4245e in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#8  0x00007f94a9f42654 in event_warn () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#9  0x00007f94a9f46c38 in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#10 0x00007f94a9f30e2d in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#11 0x00007f94b458960e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#14 0x00007f94b3ecd6c8 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#15 0x00007f94b3ecdb9b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#16 0x00007f94b45b9a70 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#17 0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#18 0x00007f94be9736ba in start_thread (arg=0x7f948cff9700) at pthread_create.c:333
#19 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f948d7fa700 (LWP 18626)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b3ecd618 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b3ecdb8b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45b9a70 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94be9736ba in start_thread (arg=0x7f948d7fa700) at pthread_create.c:333
#11 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f948dffb700 (LWP 18625)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f94b45e57b2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45bcba9 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b45bd101 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94be9736ba in start_thread (arg=0x7f948dffb700) at pthread_create.c:333
#6  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f948e7fc700 (LWP 18624)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f94b45e57b2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45bcba9 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b45bd101 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94be9736ba in start_thread (arg=0x7f948e7fc700) at pthread_create.c:333
#6  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f948effd700 (LWP 18623)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f94b45adb95 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f94b45adc44 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f94b458907d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f94b45b99a6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94be9736ba in start_thread (arg=0x7f948effd700) at pthread_create.c:333
#9  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f948f7fe700 (LWP 18622)):
#0  __lll_unlock_wake_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:341
#1  0x00007f94c3b6ebe8 in _IO_acquire_lock_clear_flags2_fct (p=<synthetic pointer>) at ../libio/libioP.h:877
#2  ___fprintf_chk (fp=0x7f94c3e1d540 <_IO_2_1_stderr_>, flag=1, format=<optimized out>) at fprintf_chk.c:30
#3  0x00007f94a9f4245e in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#4  0x00007f94a9f42654 in event_warn () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#5  0x00007f94a9f46c38 in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#6  0x00007f94a9f30e2d in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5
#7  0x00007f94b4589699 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f94b45850c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f94b45a1d9a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f94b45b99a6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f94b45b5b4d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f94be9736ba in start_thread (arg=0x7f948f7fe700) at pthread_create.c:333
#13 0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f9496f7a700 (LWP 18615)):
#0  0x00007f94c3b5370d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f94bc9f838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f94bc9f849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f94c4473adb in QEventDispatcherGlib::processEvents (this=0x7f94900008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f94c441d30a in QEventLoop::exec (this=this@entry=0x7f9496f79c10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f94c424caf4 in QThread::exec (this=this@entry=0x7f94c74bfda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:515
#6  0x00007f94c7449b75 in QDBusConnectionManager::run (this=0x7f94c74bfda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0x00007f94c4251509 in QThreadPrivate::start (arg=0x7f94c74bfda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#8  0x00007f94be9736ba in start_thread (arg=0x7f9496f7a700) at pthread_create.c:333
#9  0x00007f94c3b5f3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f94a154c980 (LWP 18613)):
[KCrash Handler]
#6  0x00007f94c5fcb472 in QMap<QString, QAction*>::value (adefaultValue=<optimized out>, akey=..., this=0xffffbf32bcefbabe) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:649
#7  KActionCollection::action (this=0x29a7480, name=...) at /workspace/build/src/kactioncollection.cpp:152
#8  0x00007f949c2a3e2a in Akregator::ActionManagerImpl::setArticleActionsEnabled (this=0x26f7520, enabled=<optimized out>) at /workspace/build/src/actions/actionmanagerimpl.cpp:646
#9  0x00007f94c6c66b88 in Akregator::ArticleViewerWidget::slotShowSummary (this=0x27bb640, node=<optimized out>) at /workspace/build/src/articleviewerwidget.cpp:194
#10 0x00007f949c2c1406 in Akregator::MainWidget::slotNodeSelected (this=0x26a7640, node=0x2c86de0) at /workspace/build/src/mainwidget.cpp:694
#11 0x00007f94c444b3f6 in QtPrivate::QSlotObjectBase::call (a=0x7fff40cbff60, r=0x26a7640, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#12 QMetaObject::activate (sender=sender@entry=0x27a0310, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff40cbff60) at kernel/qobject.cpp:3749
#13 0x00007f94c444b9d7 in QMetaObject::activate (sender=sender@entry=0x27a0310, m=m@entry=0x7f949c5025e0 <Akregator::AbstractSelectionController::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff40cbff60) at kernel/qobject.cpp:3628
#14 0x00007f949c2d551f in Akregator::AbstractSelectionController::currentSubscriptionChanged (this=this@entry=0x27a0310, _t1=0x2c86de0) at /workspace/build/obj-x86_64-linux-gnu/src/moc_abstractselectioncontroller.cpp:173
#15 0x00007f949c29aefa in Akregator::SelectionController::selectedSubscriptionChanged (this=0x27a0310, index=...) at /workspace/build/src/selectioncontroller.cpp:257
#16 0x00007f94c444b3f6 in QtPrivate::QSlotObjectBase::call (a=0x7fff40cc0100, r=0x27a0310, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#17 QMetaObject::activate (sender=sender@entry=0x2db2250, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff40cc0100) at kernel/qobject.cpp:3749
#18 0x00007f94c444b9d7 in QMetaObject::activate (sender=sender@entry=0x2db2250, m=m@entry=0x7f94c46d8ee0 <QItemSelectionModel::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff40cc0100) at kernel/qobject.cpp:3628
#19 0x00007f94c43ce78a in QItemSelectionModel::currentChanged (this=this@entry=0x2db2250, _t1=..., _t2=...) at .moc/moc_qitemselectionmodel.cpp:487
#20 0x00007f94c43cea10 in QItemSelectionModel::setCurrentIndex (this=this@entry=0x2db2250, index=..., command=command@entry=...) at itemmodels/qitemselectionmodel.cpp:1402
#21 0x00007f94c4fd848c in QAbstractItemView::mousePressEvent (this=this@entry=0x280d340, event=event@entry=0x7fff40cc0940) at itemviews/qabstractitemview.cpp:1788
#22 0x00007f94c501ddc7 in QTreeView::mousePressEvent (this=0x280d340, event=0x7fff40cc0940) at itemviews/qtreeview.cpp:1899
#23 0x00007f94c4dccf6f in QWidget::event (this=this@entry=0x280d340, event=event@entry=0x7fff40cc0940) at kernel/qwidget.cpp:8792
#24 0x00007f94c4eaf8be in QFrame::event (this=0x280d340, e=0x7fff40cc0940) at widgets/qframe.cpp:550
#25 0x00007f94c4fdf763 in QAbstractItemView::viewportEvent (this=this@entry=0x280d340, event=event@entry=0x7fff40cc0940) at itemviews/qabstractitemview.cpp:1748
#26 0x00007f94c501d7fc in QTreeView::viewportEvent (this=0x280d340, event=0x7fff40cc0940) at itemviews/qtreeview.cpp:1320
#27 0x00007f94c441ee92 in QCoreApplicationPrivate::sendThroughObjectEventFilters (receiver=receiver@entry=0x2725d00, event=event@entry=0x7fff40cc0940) at kernel/qcoreapplication.cpp:1129
#28 0x00007f94c4d8b3d5 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2725d00, e=0x7fff40cc0940) at kernel/qapplication.cpp:3713
#29 0x00007f94c4d93a2b in QApplication::notify (this=<optimized out>, receiver=0x2725d00, e=0x7fff40cc0940) at kernel/qapplication.cpp:3193
#30 0x00007f94c441f128 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x2725d00, event=event@entry=0x7fff40cc0940) at kernel/qcoreapplication.cpp:1018
#31 0x00007f94c4d923cf in QCoreApplication::sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#32 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x2725d00, event=event@entry=0x7fff40cc0940, alienWidget=alienWidget@entry=0x2725d00, nativeWidget=0x26a7640, buttonDown=buttonDown@entry=0x7f94c528dc70 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:2699
#33 0x00007f94c4de6406 in QWidgetWindow::handleMouseEvent (this=this@entry=0x2abb130, event=event@entry=0x7fff40cc0d40) at kernel/qwidgetwindow.cpp:618
#34 0x00007f94c4de8e63 in QWidgetWindow::event (this=0x2abb130, event=0x7fff40cc0d40) at kernel/qwidgetwindow.cpp:239
#35 0x00007f94c4d8b3fc in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2abb130, e=0x7fff40cc0d40) at kernel/qapplication.cpp:3717
#36 0x00007f94c4d92e07 in QApplication::notify (this=0x7fff40cc1330, receiver=0x2abb130, e=0x7fff40cc0d40) at kernel/qapplication.cpp:3476
#37 0x00007f94c441f128 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x2abb130, event=event@entry=0x7fff40cc0d40) at kernel/qcoreapplication.cpp:1018
#38 0x00007f94c48155b0 in QCoreApplication::sendSpontaneousEvent (event=0x7fff40cc0d40, receiver=0x2abb130) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#39 QGuiApplicationPrivate::processMouseEvent (e=0x2b0d300) at kernel/qguiapplication.cpp:1936
#40 0x00007f94c4817515 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x2b0d300) at kernel/qguiapplication.cpp:1720
#41 0x00007f94c47f1ceb in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at kernel/qwindowsysteminterface.cpp:938
#42 0x00007f94a1197990 in userEventSourceDispatch (source=<optimized out>) at qeventdispatcher_glib.cpp:77
#43 0x00007f94bc9f8197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007f94bc9f83f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007f94bc9f849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007f94c4473abf in QEventDispatcherGlib::processEvents (this=0x22fc250, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#47 0x00007f94c441d30a in QEventLoop::exec (this=this@entry=0x7fff40cc10f0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#48 0x00007f94c4425db4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#49 0x00007f94c480d2cc in QGuiApplication::exec () at kernel/qguiapplication.cpp:1666
#50 0x00007f94c4d8b355 in QApplication::exec () at kernel/qapplication.cpp:2905
#51 0x0000000000408459 in main (argc=1, argv=0x7fff40cc1498) at /workspace/build/src/main.cpp:124

Reported using DrKonqi
Comment 1 Luca Giambonini 2017-07-06 19:29:22 UTC
Created attachment 106473 [details]
New crash information added by DrKonqi

akregator (5.5.2) using Qt 5.9.1

- What I was doing when the application crashed:
Right click on a feed, then akregator crash.
akregator 17.04.2 with patch for bug #38416 and #381241 applied (Chakra Linux)

-- Backtrace (Reduced):
#6  0x00007f108df57182 in KActionCollection::action(QString const&) const () from /usr/lib/libKF5XmlGui.so.5
#7  0x00007f105883f9fa in Akregator::ActionManagerImpl::setArticleActionsEnabled (this=0x294ca50, enabled=<optimized out>) at /chakra/desktop/akregator/src/akregator-17.04.2/src/actions/actionmanagerimpl.cpp:646
#8  0x00007f108ebffcb8 in Akregator::ArticleViewerWidget::slotShowSummary (this=0x2a378f0, node=<optimized out>) at /chakra/desktop/akregator/src/akregator-17.04.2/src/articleviewerwidget.cpp:194
#9  0x00007f105885cb26 in Akregator::MainWidget::slotNodeSelected (this=0x2a54080, node=0x322ddd0) at /chakra/desktop/akregator/src/akregator-17.04.2/src/mainwidget.cpp:694
#10 0x00007f108c42298b in QtPrivate::QSlotObjectBase::call (a=0x7fffe8ce2ea0, r=0x2a54080, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
Comment 2 Philippe ROUBACH 2017-07-12 11:17:58 UTC
Created attachment 106579 [details]
crash trace

i was clicking on a folder
Comment 3 Christoph Feck 2017-07-12 11:59:12 UTC
*** Bug 381882 has been marked as a duplicate of this bug. ***
Comment 4 Anthony Fieroni 2017-09-10 19:00:15 UTC
Git commit d0a5f4159cddcca656ca8bbcbd6e551e3499c166 by Anthony Fieroni.
Committed on 10/09/2017 at 18:59.
Pushed by anthonyfieroni into branch 'Applications/17.08'.

[akregator] Make sure part is created before main windows is restored

DIfferential Revision: https://phabricator.kde.org/D6739
Related: bug 381822, bug 378513, bug 377129

Signed-off-by: Anthony Fieroni <bvbfan@abv.bg>

M  +5    -8    src/main.cpp

https://commits.kde.org/akregator/d0a5f4159cddcca656ca8bbcbd6e551e3499c166